| Home | Libraries | People | FAQ | More

##### static_url::has_port

(Inherited from `url_view_base`)

Return true if a port is present.

###### Synopsis

    bool
    has_port() const;

###### Description

This function returns true if an authority is present and contains a port.

###### Example

    assert( url_view( "wss://www.example.com:443" ).has_port() );

###### Complexity

Constant.

###### Exception Safety

Throws nothing.

###### BNF

    authority   = [ userinfo "@" ] host [ ":" port ]

    port        = *DIGIT

###### Specification

- 3.2.3. Port (rfc3986)

###### See Also

`encoded_host_and_port`, `port`, `port_number`.